Index: trunk/import/sichten_wms.sql
===================================================================
--- trunk/import/sichten_wms.sql	(revision 327)
+++ trunk/import/sichten_wms.sql	(revision 328)
@@ -342,6 +342,5 @@
 -- In der Tabelle werden dann die leer gebliebenen Label aus dem Katalog noch ergÃ€nzt.
 
-DROP VIEW ap_lto_stra;
-
+-- DROP VIEW ap_lto_stra;
 CREATE OR REPLACE VIEW ap_lto_stra 
 AS 
Index: trunk/import/sichten.sql
===================================================================
--- trunk/import/sichten.sql	(revision 327)
+++ trunk/import/sichten.sql	(revision 328)
@@ -74,5 +74,4 @@
 -- Test-Ausgabe: Ein paar FÃ€lle mit "Recht an"
 --   SELECT * FROM doppelverbindung WHERE ba_dien > 0 LIMIT 20;
-
 
 
@@ -252,5 +251,5 @@
  IS 'View fÃŒr einen CSV-Export aus der Buchauskunft mit alkisexport.php. Generelle Struktur. FÃŒr eine bestimmte gml_id noch den Filter setzen.';
 
---GRANT SELECT ON TABLE exp_csv TO mb27;       -- User fÃŒr Auskunfts-Programme
+  GRANT SELECT ON TABLE exp_csv TO mb27;       -- User fÃŒr Auskunfts-Programme
 --GRANT SELECT ON TABLE exp_csv TO alkisbuch;  -- User fÃŒr Auskunfts-Programme RLP-Demo
 
@@ -373,5 +372,5 @@
  IS 'View fÃŒr einen CSV-Export aus der Buchauskunft mit alkisexport.php. Liefert nur FlurstÃŒcke, die eine Lagebezeichnung MIT/OHNE Hausnummer haben. Dazu noch den Filter auf GML-ID der StraÃentabelle setzen.';
 
---GRANT SELECT ON TABLE exp_csv_str TO mb27;       -- User fÃŒr Auskunfts-Programme
+  GRANT SELECT ON TABLE exp_csv_str TO mb27;       -- User fÃŒr Auskunfts-Programme
 --GRANT SELECT ON TABLE exp_csv_str TO alkisbuch;  -- User fÃŒr Auskunfts-Programme RLP-Demo
 
Index: trunk/import/pp_definition.sql
===================================================================
--- trunk/import/pp_definition.sql	(revision 327)
+++ trunk/import/pp_definition.sql	(revision 328)
@@ -16,4 +16,5 @@
 --  2012-10-24 Neue Tabelle fÃŒr die PrÃ€sentation von StraÃennamen und -Klassifikationen
 --  2014-08-25 StraÃennamen aufteilen in _P und L
+--  2014-09-08 Korrektur
 
 -- ============================
@@ -407,5 +408,5 @@
 -- :alkis_epsg = 25832
 SELECT AddGeometryColumn('pp_strassenname_l','the_geom',25832,'LINESTRING',2); -- Hier liegt der Unterschied
-CREATE INDEX pp_snaml_gidx ON pp_strassenname USING gist(the_geom); 
+CREATE INDEX pp_snaml_gidx ON pp_strassenname_l USING gist(the_geom); 
 
   COMMENT ON TABLE  pp_strassenname_l                IS 'Post-Processing: Label der StraÃennamen in der Karte, Liniengeometrie. Auszug aus ap_lto.';
Index: trunk/import/konv_batch.sh
===================================================================
--- trunk/import/konv_batch.sh	(revision 327)
+++ trunk/import/konv_batch.sh	(revision 328)
@@ -27,22 +27,24 @@
 ##   2012-10-30 Umgebungsvariable setzen, delete-Tabelle am Ende fuer Analyse gefuellt lassen.
 ##              Test als 0.7a mit gepatchter gdal-Version (noch 2.0dev)
-##   2013-10-16 F.J. krz: Neues Script "pp_praesentation_action.sql" fÃŒr Reparatur der 
-##              PrÃ€sentationsobjekte StraÃenname im Post-Processing
-##   2013-10-24 F.J. krz: ZwischenlÃ¶sung "praesentation_action.sql" wieder deaktiviert.
+##   2013-10-16 F.J. krz: Neues Script "pp_praesentation_action.sql" für Reparatur der 
+##              Präsentationsobjekte Straßenname im Post-Processing
+##   2013-10-24 F.J. krz: Zwischenlösung "praesentation_action.sql" wieder deaktiviert.
 ##   2014-01-31 F.J. krz: Import Eintrag erzeugen (nach Vorschlag Marvin Brandt, Unna)
-##   2014-02-13 A.Emde WhereGroup: EinfÃŒhrung DBUSER, damit im Skript der Datenbankbenutzer angegeben werden kann
-##
-## ToDo: Option "-skipfailures" nach Test entfernen ?
-##
+##   2014-02-13 A.Emde WhereGroup: Einführung DBUSER, damit im Skript der Datenbankbenutzer angegeben werden kann
+##   2014-05-12 F.J. krz: Unterschiedliche Pfade in Test (TRUNK) und Produktion (Rel. 1.11.0)
+##   2014-06-18 F.J. DB-User nicht "postgres" (in $con). 
+##                   Konverter ind Nacharbeiten sonst mit unterschiedlichem User.
+##                   Abgleich Test/Prod-Version
+##                   Entfernen der historischen Objekte nach Konvertierung.
+##   2014-09-03 F.J. Auch für 0.7-Datenstruktur die aktuelle Programmversion, PG_USE_COPY
+
 ## Koordinaten: EPSG:25832  UTM, Zone 32
 ##              -a_srs EPSG:25832   - bleibt im UTM-System (korrigierte Werte)
-##
 
 POSTNAS_HOME=$(dirname $0)
-
-# Konverterpfad
-PATH=/opt/gdal-2.0/bin:$PATH
+ PATH=/opt/gdal-2.0/bin:$PATH   # TRUNK-Version (immer letzter Stand der Entwicklung)
+#PATH=/opt/gdal-1.11/bin:$PATH  # Release GDAL 1.11.0 vom April 2014
 EPSG=25832
-DBUSER=postgres
+DBUSER=b600352
 
 if [ $DBUSER == "" ]
@@ -59,8 +61,10 @@
   OGRPGUSER=" user=${DBUSER}"
 fi
-
-echo "**************************************************"
-echo "**   K o n v e r t i e r u n g     PostNAS 0.7a **"
-echo "**************************************************"
+ 
+echo " 
+**********************************************
+**   K o n v e r t i e r u n g     PostNAS  **
+********************************************** 
+ "
 ## Parameter:
 ORDNER=$1
@@ -104,32 +108,31 @@
 	fi
 fi
+
 # Fehlerprotokoll:
-  errprot=${POSTNAS_HOME}'/log/postnas_err_'$DBNAME'.prot'
-#
+errprot=${POSTNAS_HOME}'/log/postnas_err_'$DBNAME'.prot'
+
 # DB-Connection
-  con="${PGUSER} -p 5432 -d ${DBNAME} "
-  echo "Datenbank-Name . . = ${DBNAME}"
-  echo "DBUSER ${DBUSER}"
-  echo "PGUSER ${PGUSER}"
-  echo "OGRPGUSER ${OGRPGUSER}"
-  echo "Ordner NAS-Daten . = ${ORDNER}"
-  echo "Verarbeitungs-Modus= ${verarb}"
-  echo " "
-  echo "POSTNAS_HOME ${POSTNAS_HOME}"
-  echo " "
+con="${PGUSER} -p 5432 -d ${DBNAME} "
+
+echo "Datenbank-Name . . = ${DBNAME}"
+echo "DBUSER ${DBUSER}"
+echo "PGUSER ${PGUSER}"
+echo "OGRPGUSER ${OGRPGUSER}"
+echo "Ordner NAS-Daten . = ${ORDNER}"
+echo "Verarbeitungs-Modus= ${verarb}"
+echo "POSTNAS_HOME ${POSTNAS_HOME}"
+
 # noch alte delete-Eintraege in DB?
-  echo "Leeren der delete-Tabelle"
-  echo 'TRUNCATE table "delete";' | psql $con 
-
-#
+echo "Leeren der delete-Tabelle"
+echo 'TRUNCATE table "delete";' | psql $con 
+
 # Import Eintrag erzeugen
 #
-# Die dadurch erzeugte Import-ID dient zur Steuerung des LÃ¶schens alter Relationen im Trigger. 
+# Die dadurch erzeugte Import-ID dient zur Steuerung des Löschens alter Relationen im Trigger. 
 # Wird die Datenbank MIT Historie geladen, muss die folgende Zeile auskommentiert werden.
 echo "INSERT INTO import (datum,verzeichnis,importart) VALUES ('"$(date '+%Y-%m-%d %H:%M:%S')"','"${ORDNER}"','"${verarb}"');" | psql $con
 
-#
 # Ordner abarbeiten
-#
+
   cd ${ORDNER}
   rm ../temp/*.gfs
@@ -147,15 +150,12 @@
       # Zwischenueberschrift im Fehlerprotokoll
       echo "* Datei: " $nasdatei >> $errprot
-      #
+
       # Umgebungsvariable setzen:
         export GML_FIELDTYPES=ALWAYS_STRINGS    # PostNAS behandelt Zahlen wie Strings, PostgreSQL-Treiber macht daraus Zahlen
         export OGR_SETFIELD_NUMERIC_WARNING=YES # Meldung abgeschnittene Zahlen?
        #export CPL_DEBUG=ON                     # Meldung, wenn Attribute ueberschrieben werden
-      #
+
       # PostNAS Konverter-Aufruf
-      #
-      # -skipfailures    #
-      # -overwrite       #
-      ogr2ogr -f "PostgreSQL" -append  ${update} -skipfailures \
+      ogr2ogr -f "PostgreSQL" -append  ${update} -skipfailures  --config PG_USE_COPY YES  \
          PG:"dbname=${DBNAME} host=localhost port=5432 ${OGRPGUSER}" -a_srs EPSG:$EPSG ${nasdatei} 2>> $errprot
       nasresult=$?
@@ -165,46 +165,46 @@
   rm ../temp/*.xml
   echo " "
-  echo "** Ende Konvertierung Ordner ${ORDNER}"
-#
+  echo "** Ende Konvertierung Ordner ${ORDNER}
+  "
+
 # Post-Processing / Nacharbeiten
-#
+
   if [ $PP == "nopp" ]
   then
+
     echo "** KEIN Post-Processing - Dies spaeter nachholen."
     # Dies kann sinnvoll sein, wenn mehrere kleine Aktualisierungen hintereinander auf einem grossen Bestand laufen
     # Der Aufwand fuer das Post-Processing ist dann nur bei der LETZTEN Aktualisierung notwendig.
+
   else
+
     echo "** Post-Processing (Nacharbeiten zur Konvertierung)"
 
     echo "** - Optimierte Nutzungsarten neu Laden:"
     (cd $POSTNAS_HOME; psql $con -f nutzungsart_laden.sql)
-    echo "-----------" 
-
+ 
     echo "** - Fluren / Gemarkungen / Gemeinden neu Laden:"
     (cd $POSTNAS_HOME; psql $con -f pp_laden.sql)
 
-
-    # echo "** - PrÃ€sentationsobjekte generieren:"
-    # (cd $POSTNAS_HOME; psql $con -f pp_praesentation_action.sql)
-
   fi
-#
+
   if [ "$(readlink $POSTNAS_HOME/alkis-trigger.sql)" = "alkis-trigger-kill.sql" ]; then
-# Durch Einfuegen in Tabelle 'delete' werden Loeschungen anderer Tabellen getriggert
-    echo "** delete-Tabelle enthaelt:"
-    echo 'SELECT COUNT(featureid) AS delete_zeilen FROM "delete";' | psql $con
-    #echo "   delete-Tabelle loeschen:"
-    #echo 'TRUNCATE table "delete";' | psql $con
- # Fuer Analyse-Zwecke sollten die Delete-Eintraege erhalten bleiben bis zum naechsten Lauf.
- # TRUNCATE erfolgt VOR der Konnvertierung.
-#
-# Wenn die Datenbank MIT Historie angelegt wurde, man diese aber gar nicht braucht,
-# dann hinterher aufraeumen der historischen Objekte 
-    #echo "** geendete Objekte entfernen:"
-# Function:
-    #echo 'SELECT alkis_delete_all_endet();' | psql $con
-    #echo "  ... geendete Objekte entfernen wurde fuer Test dektiviert."
-    #echo "  Bitte manuell ausfuehren:  SELECT alkis_delete_all_endet(); "
+
+     # Durch Einfuegen in Tabelle 'delete' werden Loeschungen anderer Tabellen getriggert
+     echo "** delete-Tabelle enthaelt:"
+     psql $con -c 'SELECT COUNT(featureid) AS delete_zeilen FROM "delete";'
+
+     echo "   delete-Tabelle loeschen:"
+     psql $con -c 'TRUNCATE table "delete";'
+
+    # Wenn die Datenbank MIT Historie geladen wurde, man diese aber gar nicht braucht,
+    # dann hinterher aufraeumen der historischen Objekte 
+    echo "** geendete Objekte entfernen:"
+
+    # Function:
+    psql $con -c "SELECT alkis_delete_all_endet();"
+
   fi
+
   echo "Das Fehler-Protokoll wurde ausgegeben in die Datei $errprot"
-  #echo "HINWEIS: -skipfailures  fuer Produktion wieder einschalten."
+ 
Index: trunk/import/datenbank_anlegen.sh
===================================================================
--- trunk/import/datenbank_anlegen.sh	(revision 327)
+++ trunk/import/datenbank_anlegen.sh	(revision 328)
@@ -7,9 +7,9 @@
 ## Stand:
 ##  2012-02-10 PostNAS 07, Umbenennung
-##  2013-01-15 Zwischenstopp um Meldungen lesen zu kÃ¶nnen bevor, sie aus dem Scrollbereich verschwinden
+##  2013-01-15 Zwischenstopp um Meldungen lesen zu können bevor, sie aus dem Scrollbereich verschwinden
 ##  2013-04-16 Vers.-Nr. "0.7" aus dem Dateinamen von Schema und Keytable entfernt, sichten_wms.sql
-##  2013-10-16 F.J. krz: Neues Sript "pp_praesentation_sichten.sql" fÃŒr Reparatur PrÃ€sentationsobjekte StraÃennamen
+##  2013-10-16 F.J. krz: Neues Sript "pp_praesentation_sichten.sql" für Reparatur Präsentationsobjekte Straßennamen
 ##  2013-12-03 F.J. krz: Script "sichten.sql" einbeziehen. Darin View "doppelverbindung" fuer WMS FS-Kommunal.
-##  2014-01-31 F.J. krz: Unterschiede der Datenbank-Struktur fÃŒr die Varianten MIT/OHNE Historie.
+##  2014-01-31 F.J. krz: Unterschiede der Datenbank-Struktur für die Varianten MIT/OHNE Historie.
 
 POSTNAS_HOME=$(dirname $0)
@@ -104,5 +104,5 @@
 echo " "
 echo "** Besonderheiten der Datenbank OHNE Historie"
-## auskommentieren, wenn die Datenbank MIT Historie gefÃŒhrt wird
+## auskommentieren, wenn die Datenbank MIT Historie geführt wird
 ## Import-ID: Tabelle und Spalte in "alkis_beziehungen" anlegen
 psql $con -U ${DBUSER} -f alkis_PostNAS_schema_ohneHist.sql >$MANDANT_HOME/log/schema.log
@@ -127,5 +127,5 @@
 echo " "
 echo "** Anlegen Post Processing Tabellen (pp_definition.sql)"
-psql $con -U ${DBUSER} -v alkis_epsg=$EPSG -f pp_definition.sql >$MANDANT_HOME/log/pp_definition.log
+psql $con -U ${DBUSER} -f pp_definition.sql >$MANDANT_HOME/log/pp_definition.log
 
 echo " "
@@ -144,6 +144,6 @@
 psql $con -U ${DBUSER} -f grant.sql >$MANDANT_HOME/log/log_grant.log
 echo " 
-***************************
-**  Ende Neue Datenbank  **
-***************************
+*************************************
+**  Ende Neue Datenbank ${DBNAME} 
+*************************************
 "
Index: trunk/import/grant.sql
===================================================================
--- trunk/import/grant.sql	(revision 327)
+++ trunk/import/grant.sql	(revision 328)
@@ -11,12 +11,12 @@
 --  2012-02-17  PostNAS 0.7, pp_Tabellen, ms5 -> ms6
 --  2012-04-25  Tabelle pp_flurstueck_nr
---  2013-01-15  mehr SchlÃŒsseltabellen rein
+--  2013-01-15  mehr Schlüsseltabellen rein
 --  2013-03-05  View "s_beschriftung" wird durch "ap_pto_stra" und "ap_pto_rest" ersetzt.
 --              View "s_nummer_nebengebaeude" wird durch "lfdnr_nebengebaeude" ersetzt.
 --  2013-03-25  View "grenzpunkt" und "gebaeude_txt"
---  2013-04-19  Neues zum Thema "BodenschÃ€tzung", Views entfallen
+--  2013-04-19  Neues zum Thema "Bodenschätzung", Views entfallen
 --  2013-10-24  Table "pp_strassenname" ersetzt View "ap_pto_stra" im WMS (ms6)
---  2014-01-22  Neue Views fÃŒr CSV-Export, neue SchlÃŒsseltabelle "ax_namensnummer_eigentuemerart"
---  2014-08-25  StraÃennamen aufteilen in _P und L
+--  2014-01-22  Neue Views für CSV-Export, neue Schlüsseltabelle "ax_namensnummer_eigentuemerart"
+--  2014-08-25  Straßennamen aufteilen in _P und L
 
 
@@ -33,5 +33,5 @@
 -- ALKIS / PostNAS
 -- ---------------
--- Berechtigung fÃŒr Kartendarstellung
+-- Berechtigung für Kartendarstellung
   GRANT SELECT ON TABLE alkis_beziehungen TO ms6;
   GRANT SELECT ON TABLE ap_darstellung TO ms6;
@@ -280,5 +280,5 @@
 -- ------------------
 
--- GebÃ€ude
+-- Gebäude
 GRANT SELECT ON TABLE ax_gebaeude_bauweise                 TO ms6;
 GRANT SELECT ON TABLE ax_gebaeude_bauweise                 TO mb27;
@@ -294,5 +294,5 @@
 GRANT SELECT ON TABLE ax_bauteil_bauart                    TO mb27;
 
--- BodenschÃ€tzung
+-- Bodenschätzung
 GRANT SELECT ON TABLE ax_bodenschaetzung_bodenart          TO ms6;
 GRANT SELECT ON TABLE ax_bodenschaetzung_bodenart          TO mb27;
@@ -312,5 +312,5 @@
 GRANT SELECT ON TABLE ax_bewertung_klassifizierung         TO mb27;
 
--- BodenschÃ€tzung Views
+-- Bodenschätzung Views
 GRANT SELECT ON TABLE s_bodensch_wms                       TO ms6;
 GRANT SELECT ON TABLE s_bodensch_ent                       TO ms6;
@@ -340,5 +340,5 @@
 GRANT SELECT ON TABLE ax_sonstigesrecht_artdf              TO mb27;
 
--- Sonstige SchlÃŒsseltabellen
+-- Sonstige Schlüsseltabellen
 GRANT SELECT ON TABLE ax_buchungsstelle_buchungsart        TO ms6;
 GRANT SELECT ON TABLE ax_buchungsstelle_buchungsart        TO mb27;